-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2007, 2009.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
----------------------------------------------------------------------
--
-- Script file to create tables for Business Space 6.2
--
-- Customize the following variables before running this script:
--   @STOGRP@ = DB2 Storage group name
--   @DBNAME@ = DB2 Database name
--   @SCHEMA@ = DB2 Schema qualifier
--
-- BP8K0, BP16K0, and BP32 may require Grants as well as tailoring
-- BufferPool Names
-- Storage Group may require Grants 
--

------------- Tablespaces for Business Space

CREATE TABLESPACE BSPACE2 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP8K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACE3 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP16K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACE4 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP1
  CCSID UNICODE;

CREATE TABLESPACE BSPACE5 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP16K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACE6 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ROW
  BUFFERPOOL BP1
  CCSID UNICODE;

CREATE TABLESPACE BSPACE7
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP16K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACEA
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP8K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACE8 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP8K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACEB
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP8K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACE9 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP1
  CCSID UNICODE;

CREATE TABLESPACE BSPACEC
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP8K0
  CCSID UNICODE;

CREATE TABLESPACE BSPACED
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP1
  CCSID UNICODE;

CREATE TABLESPACE BSPACE 
  IN @DBNAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  DEFINE NO
  LOCKSIZE ANY
  BUFFERPOOL BP1
  CCSID UNICODE;

----------------------------------------------------------------------


CREATE LOB TABLESPACE BSBLOB2
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB3
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB4
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB5
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB6
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB7
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB8
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB9
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB10
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB11
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB12
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB13
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

CREATE LOB TABLESPACE BSBLOB14
 IN @DBNAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL BP3;

----------------------------------------------------------------------

------------- Tablespace (temp) for sorts/joins
--CREATE SYSTEM TEMPORARY TABLESPACE TMPTS32K_BS PAGESIZE 32 K  
--MANAGED BY SYSTEM USING ('$TSDIR$_TMPTS32K_BS' ) 
--EXTENTSIZE 8 OVERHEAD 10.5 PREFETCHSIZE 32 TRANSFERRATE 0.14 
--BUFFERPOOL TMPBP32K_BS;

------------- Tables

	CREATE TABLE @SCHEMA@.USER_DATA_T
	(
	  USER_ID                   VARCHAR(128)  NOT NULL ,
	  USER_CONFIG               VARCHAR(4096) ,
	  IS_SUPER_USER				VARCHAR(1),             
	  EXTENSION                 BLOB(10K) ,	
	  PRIMARY KEY ( USER_ID )
	) IN @DBNAME@.BSPACE2;
	
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB2_T
   	IN @DBNAME@.BSBLOB2
   	STORES @SCHEMA@.USER_DATA_T COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB2_I
	  ON @SCHEMA@.BSBLOB2_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
	
	-- Primary key for Table @SCHEMA@.USER_DATA_T
	CREATE UNIQUE INDEX
  	@SCHEMA@.USER_DATA_P ON
  	@SCHEMA@.USER_DATA_T
	( 
  	USER_ID
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;
	
	------------------------------------------------
	-- DDL Statements for table @SCHEMA@.SPACES
	------------------------------------------------
	
	CREATE TABLE @SCHEMA@.SPACES 
	(
			  ID 			VARCHAR(64) 	NOT NULL , 
			  NAME 			VARCHAR(128) 	NOT NULL , 
			  DESCRIPTION 	VARCHAR(512) , 
			  OWNER 		VARCHAR(256) 	NOT NULL , 
			  USERS 		VARCHAR(4096)  , 
			  EDITORS 		VARCHAR(4096)  , 
			  THEMES 		VARCHAR(128) ,
  			  ISLOCALIZED 	VARCHAR(1) ,
			  TEMPLATE 		VARCHAR(1) 		NOT NULL ,
		      EXTENSION 	BLOB(10K)
    ) IN @DBNAME@.BSPACE3; 

	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB3_T
   	IN @DBNAME@.BSBLOB3
   	STORES @SCHEMA@.SPACES COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB3_I
	  ON @SCHEMA@.BSBLOB3_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
	
	-- Primary key for table @SCHEMA@.SPACES
	CREATE UNIQUE INDEX
  	@SCHEMA@.SPACES_P ON
  	@SCHEMA@.SPACES
	( 
  	 ID
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	ALTER TABLE @SCHEMA@.SPACES
		ADD CONSTRAINT "CC1207670107671" PRIMARY KEY
			(ID);

	------------------------------------------------
	-- DDL Statements for table @SCHEMA@.NLSINFO
	------------------------------------------------
		CREATE TABLE @SCHEMA@.NLSINFO  (
		      EXTENSION  		BLOB(10K),		
			  ID 				VARCHAR(64) NOT NULL , 
			  LOCALENAME 		VARCHAR(64) NOT NULL , 
			  DESCRIPTION 		VARCHAR(512) , 
			  NAME 				VARCHAR(128) NOT NULL 
			 ) IN @DBNAME@.BSPACE4;
 
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB4_T
   	IN @DBNAME@.BSBLOB4
   	STORES @SCHEMA@.NLSINFO COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB4_I
	  ON @SCHEMA@.BSBLOB4_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
	 
	-- Primary key for table @SCHEMA@.NLSINFO
	CREATE UNIQUE INDEX
  	@SCHEMA@.NLSINFO_P ON
  	@SCHEMA@.NLSINFO
	( 
  	ID,
	LOCALENAME
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	ALTER TABLE @SCHEMA@.NLSINFO 
		ADD CONSTRAINT "CC1207670199821" PRIMARY KEY
			(ID, LOCALENAME); 
	
	------------------------------------------------
	-- DDL Statements for table @SCHEMA@.PAGE
	------------------------------------------------
	
	CREATE TABLE @SCHEMA@.PAGE  (
			  ID 				VARCHAR(64) NOT NULL , 
			  SPACEID 			VARCHAR(64) NOT NULL , 
			  NAME 				VARCHAR(128) NOT NULL , 
			  DESCRIPTION 		VARCHAR(512) , 
			  OWNER 			VARCHAR(256) NOT NULL , 
			  USERS 			VARCHAR(4096) , 
			  EDITORS 			VARCHAR(4096) , 
			  LAYOUT 			VARCHAR(128) , 
  			  WIDGETS 			VARCHAR(4096) ,
   			  ISLOCALIZED 		VARCHAR(1) , 
			  RESTRICTED        VARCHAR(1) ,
			  TEMPLATE 			VARCHAR(1) NOT NULL ,
		 	  EXTENSION         BLOB(10K)
	  )  IN @DBNAME@.BSPACE5; 
	
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB5_T
   	IN @DBNAME@.BSBLOB5
   	STORES @SCHEMA@.PAGE COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB5_I
	  ON @SCHEMA@.BSBLOB5_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
	 	
	-- Primary key for table @SCHEMA@.PAGE
	CREATE UNIQUE INDEX
  	@SCHEMA@.PAGE_P ON
  	@SCHEMA@.PAGE
	( 
  	ID
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	ALTER TABLE @SCHEMA@.PAGE 
		ADD CONSTRAINT "CC1207685404031" PRIMARY KEY
			(ID);
	
	-- DDL Statements for foreign keys on table @SCHEMA@.PAGE
	
	ALTER TABLE @SCHEMA@.PAGE 
		ADD CONSTRAINT "CC1207685409421" FOREIGN KEY
			(SPACEID)
		REFERENCES @SCHEMA@.SPACES
			(ID)
		ON DELETE CASCADE
		ENFORCED
		ENABLE QUERY OPTIMIZATION;
		
	-- DDL Statements for non-unique indices on table @SCHEMA@.PAGE
	
	CREATE INDEX @SCHEMA@.I0000010 ON @SCHEMA@.PAGE ( OWNER ASC)
		USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;	

	CREATE INDEX @SCHEMA@.I0000011 ON @SCHEMA@.PAGE ( SPACEID ASC)
		USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;
	
	--------------------------------------------------
	-- DDL Statements for table @SCHEMA@.WIDGET
	--------------------------------------------------
	
	CREATE TABLE @SCHEMA@.WIDGET  (
			  ID 				VARCHAR(128) NOT NULL , 
			  NAME 				VARCHAR(128) , 
			  DEFINITIONID 		VARCHAR(128) NOT NULL , 
			  STATE 			VARCHAR(32) , 
   			  ISLOCALIZED 		VARCHAR(1) ,
			  PREFERENCES 		BLOB(1024K) )   
			 IN @DBNAME@.BSPACE6 ; 
	

	-- Auxiliary table for LOB column PREFERENCES
	CREATE AUX TABLE @SCHEMA@.BSBLOB6_T
	   IN @DBNAME@.BSBLOB6
	   STORES @SCHEMA@.WIDGET COLUMN
	 PREFERENCES;
	-- Auxiliary index for LOB column PREFERENCES
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB6_I
	  ON @SCHEMA@.BSBLOB6_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.WIDGET
	CREATE UNIQUE INDEX
  	@SCHEMA@.WIDGET_P ON
  	@SCHEMA@.WIDGET
	( 
  	ID
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	ALTER TABLE @SCHEMA@.WIDGET 
		ADD CONSTRAINT "CC1207702708890" PRIMARY KEY
			(ID);
	
	-------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_WIDGET
	-------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_WIDGET  (
		  	  EXTENSION        		BLOB(10K) ,		
			  ID_VERSION			VARCHAR(322) NOT NULL ,
			  ID 					VARCHAR(256) NOT NULL ,
			  VERSION 				VARCHAR(64) ,
			  TYPE 					VARCHAR(32) NOT NULL ,
			  NAME 					VARCHAR(256) ,
			  DESCRIPTION 			VARCHAR(1024) ,
			  TOOLTIP 				VARCHAR(512) ,
			  HELP_URL 				VARCHAR(512) ,
			  ICON_URL 				VARCHAR(512) ,
		  	  PREVIEW_URL           VARCHAR(512) ,
		      PREVIEW_THUMBNAIL_URL VARCHAR(512) ,			  
			  OWNER 				VARCHAR(256) ,
			  EMAIL 				VARCHAR(256) ,
			  SERVICE_ENDPOINTS 	VARCHAR(4000) ,
			  WIDGET_ENDPOINT_ID 	VARCHAR(389) ,
			  WIDGET_URL 			VARCHAR(512) ,
			  VIEW_URL 				VARCHAR(512) ,
			  EDIT_URL 				VARCHAR(512) ,
			  ATTACHABLE 			VARCHAR(8) ,
			  ATTACHMENT_URL 		VARCHAR(512) ,
			  CATEGORY_ID 			VARCHAR(256) NOT NULL ,
			  LAST_CHANGE 			TIMESTAMP NOT NULL ,
			  PRIMARY KEY ( ID_VERSION ) )
			 IN @DBNAME@.BSPACE7 ;

	-- Auxiliary table for LOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB7_T
	   IN @DBNAME@.BSBLOB7
	   STORES @SCHEMA@.REGISTERED_WIDGET COLUMN
	 EXTENSION;
	-- Auxiliary index for LOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB7_I
	  ON @SCHEMA@.BSBLOB7_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.REGISTERED_WIDGET
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_WIDGET_P ON
  	@SCHEMA@.REGISTERED_WIDGET
	( 
  	ID_VERSION
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	----------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_WIDGET_NLS
	----------------------------------------------------------------
	
		CREATE TABLE @SCHEMA@.REGISTERED_WIDGET_NLS  (
		  	  EXTENSION             BLOB(10K) ,		
			  ID_LOCALE 			VARCHAR(356) NOT NULL ,
			  WIDGET_ID_VERSION 	VARCHAR(322) ,
			  LOCALE 				VARCHAR(32) ,
			  NAME 					VARCHAR(256) ,
			  DESCRIPTION 			VARCHAR(1024) ,
			  TOOLTIP 				VARCHAR(512) ,
			  HELP_URL 				VARCHAR(512) ,
			  ICON_URL 				VARCHAR(512) ,
		      PREVIEW_URL           VARCHAR(512) ,
		      PREVIEW_THUMBNAIL_URL VARCHAR(512) ,			  
			  OWNER 				VARCHAR(256) ,
			  EMAIL 				VARCHAR(256) ,
			  PRIMARY KEY ( ID_LOCALE ) ,
			  FOREIGN KEY ( WIDGET_ID_VERSION ) REFERENCES
			    @SCHEMA@.REGISTERED_WIDGET ( ID_VERSION )
			    ON DELETE CASCADE )
			 IN @DBNAME@.BSPACEA ;

	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB8_T
   	IN @DBNAME@.BSBLOB8
   	STORES @SCHEMA@.REGISTERED_WIDGET_NLS COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB8_I
	  ON @SCHEMA@.BSBLOB8_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
	   
	-- Primary key for table @SCHEMA@.REGISTERED_WIDGET_NLS
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_WIDGET_NLS_P ON
  	@SCHEMA@.REGISTERED_WIDGET_NLS
	( 
  	ID_LOCALE
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	--------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_CATEGORY
	--------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_CATEGORY  (
		      EXTENSION     BLOB(10K) ,		
			  ID 			VARCHAR(256) NOT NULL ,
			  ORDERING 		SMALLINT ,
			  NAME 			VARCHAR(256) ,
			  DESCRIPTION 	VARCHAR(1024) ,
			  TOOLTIP 		VARCHAR(512) ,
			  LAST_CHANGE TIMESTAMP NOT NULL ,
			  PRIMARY KEY ( ID ) )
			 IN @DBNAME@.BSPACE8 ;

	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB9_T
   	IN @DBNAME@.BSBLOB9
   	STORES @SCHEMA@.REGISTERED_CATEGORY COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB9_I
	  ON @SCHEMA@.BSBLOB9_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.REGISTERED_CATEGORY
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_CATEGORY_P ON
  	@SCHEMA@.REGISTERED_CATEGORY
	( 
  	ID
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	------------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_CATEGORY_NLS
	------------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_CATEGORY_NLS  (
		      EXTENSION         BLOB(10K) ,		
			  ID_LOCALE 		VARCHAR(290) NOT NULL ,
			  CATEGORY_ID 		VARCHAR(256) NOT NULL ,
			  LOCALE 			VARCHAR(32) ,
			  NAME 				VARCHAR(256) ,
			  DESCRIPTION 		VARCHAR(1024) ,
			  TOOLTIP 			VARCHAR(512) ,
			  PRIMARY KEY ( ID_LOCALE ) ,
			  FOREIGN KEY ( CATEGORY_ID ) REFERENCES
			    @SCHEMA@.REGISTERED_CATEGORY ( ID )
			    ON DELETE CASCADE )
			 IN @DBNAME@.BSPACEB ;

	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB10_T
   	IN @DBNAME@.BSBLOB10
   	STORES @SCHEMA@.REGISTERED_CATEGORY_NLS COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB10_I
	  ON @SCHEMA@.BSBLOB10_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.REGISTERED_CATEGORY_NLS
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_CATEGORY_NLS_P ON
  	@SCHEMA@.REGISTERED_CATEGORY_NLS
	( 
  	ID_LOCALE
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	--------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_ENDPOINT
	--------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_ENDPOINT  (
		      EXTENSION     BLOB(10K) ,	
			  ID_VERSION 	VARCHAR(322) NOT NULL ,
			  ID 			VARCHAR(256) NOT NULL ,
	  		  TYPE          VARCHAR(256) ,
			  VERSION 		VARCHAR(64) ,
			  URL 			VARCHAR(512) NOT NULL ,
    		  NAME          VARCHAR(256) ,			  
			  DESCRIPTION 	VARCHAR(1024) ,
			  LAST_CHANGE 	TIMESTAMP NOT NULL ,
			  PRIMARY KEY ( ID_VERSION ) )
			 IN @DBNAME@.BSPACE9 ;
			 
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB11_T
   	IN @DBNAME@.BSBLOB11
   	STORES @SCHEMA@.REGISTERED_ENDPOINT COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB11_I
	  ON @SCHEMA@.BSBLOB11_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.REGISTERED_ENDPOINT
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_ENDPOINT_P ON
  	@SCHEMA@.REGISTERED_ENDPOINT
	( 
  	ID_VERSION
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

	--------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_ENDPOINT_NLS
	--------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_ENDPOINT_NLS  (
			  EXTENSION 			BLOB(10K) ,
		      ID_LOCALE 			VARCHAR(356) NOT NULL ,
			  ENDPOINT_ID_VERSION 	VARCHAR(322) NOT NULL ,
			  LOCALE 				VARCHAR(32) ,
			  NAME 					VARCHAR(256) ,
			  DESCRIPTION 			VARCHAR(1024) ,
			  PRIMARY KEY ( ID_LOCALE ) ,
			  FOREIGN KEY ( ENDPOINT_ID_VERSION )
				REFERENCES @SCHEMA@.REGISTERED_ENDPOINT ( ID_VERSION )
				ON DELETE CASCADE )
			 IN @DBNAME@.BSPACEC ;
			 
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB13_T
   	IN @DBNAME@.BSBLOB13
   	STORES @SCHEMA@.REGISTERED_ENDPOINT_NLS COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB13_I
	  ON @SCHEMA@.BSBLOB13_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
			 
	-- Primary key for table @SCHEMA@.REGISTERED_ENDPOINT_NLS
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_ENDPOINT_NLS_P ON
  	@SCHEMA@.REGISTERED_ENDPOINT_NLS
	( 
  	ID_LOCALE
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;
	
	--------------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTERED_WCCM_ENDPOINT
	--------------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTERED_WCCM_ENDPOINT (
			  EXTENSION 		BLOB(10K) ,
			  ID_VERSION 		VARCHAR(322) NOT NULL ,
			  LAST_CHANGE 		VARCHAR(32) NOT NULL ,
			  PRIMARY KEY ( ID_VERSION ) )
			 IN @DBNAME@.BSPACED ;
			 
	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB14_T
   	IN @DBNAME@.BSBLOB14
   	STORES @SCHEMA@.REGISTERED_WCCM_ENDPOINT COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB14_I
	  ON @SCHEMA@.BSBLOB14_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;
			 
	-- Primary key for table @SCHEMA@.REGISTERED_WCCM_ENDPOINT
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTERED_WCCM_ENDPOINT_P ON
  	@SCHEMA@.REGISTERED_WCCM_ENDPOINT
	( 
  	ID_VERSION
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;
	
	---------------------------------------------------------
	-- DDL Statements for table @SCHEMA@.REGISTRY_FILE
	---------------------------------------------------------
	
	CREATE TABLE @SCHEMA@.REGISTRY_FILE  (
		      EXTENSION         BLOB(10K) ,		
			  FILEPATH_HOST 	VARCHAR(770) NOT NULL ,
			  FILEPATH 			VARCHAR(512) NOT NULL ,
			  FILE_TIMESTAMP 	DECIMAL(19, 0),
			  HOST_NAME 		VARCHAR(256) NOT NULL ,
			  PRIMARY KEY ( FILEPATH_HOST ) )
			 IN @DBNAME@.BSPACE ;

	-- Auxiliary table for BLOB column EXTENSION
	CREATE AUX TABLE @SCHEMA@.BSBLOB12_T
   	IN @DBNAME@.BSBLOB12
   	STORES @SCHEMA@.REGISTRY_FILE COLUMN
 	EXTENSION;
	-- Auxiliary index for BLOB column EXTENSION
	CREATE UNIQUE INDEX @SCHEMA@.BSBLOB12_I
	  ON @SCHEMA@.BSBLOB12_T
	   USING STOGROUP @STOGRP@
              BUFFERPOOL BP2;

	-- Primary key for table @SCHEMA@.REGISTRY_FILE
	CREATE UNIQUE INDEX
  	@SCHEMA@.REGISTRY_FILE_P ON
  	@SCHEMA@.REGISTRY_FILE
	( 
  	FILEPATH_HOST
	) 
	USING STOGROUP @STOGRP@
              DEFINE NO
              BUFFERPOOL BP2
              NOT PADDED;

